package com.icomsys.main_vm.common.code.enumresource;

import lombok.Getter;

import java.util.Arrays;
import java.util.List;

@Getter
public enum RoleResource {

    SYSTEMADMIN(1000001L, "시스템어드민", "아이컴시스 시스템관리자"),
    USERADMIN(10001L, "운영자","서비스그룹 관리자"),
    USER(11L,"사용자","일반 사용자")
    ;

    private Long roleValSeq;
    private String roleName;
    private String roleDesc;

    RoleResource(Long roleValSeq, String roleName, String roleDesc) {
        this.roleValSeq = roleValSeq;
        this.roleName = roleName;
        this.roleDesc = roleDesc;
    }

    public String getName(){
        return name();
    }

    public static final List<RoleResource> CreatUserRole = Arrays.asList(USERADMIN, USER);

}
